%define plugin	vcd
%define rel	23

Summary:	VDR plugin: VideoCD Player
Name:		vdr-plugin-%plugin
Version:	0.9
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://www.heiligenmann.de/vdr/vdr/plugins/vcd.html
#dead upstream !!!
Source0:		http://www.heiligenmann.de/vdr/download/vdr-%plugin-%version.tgz
#dead link but the tar.gz exist inside mageia


#Debian patches
Patch0:     01_Makefile-fPIC-fix.patch
Patch1:     90_vcd-0.9-1.7.3.patch
Patch2:     91_vcd-0.9-fix-INCLUDES.patch
Patch3:     vdr-1.7.27.patch
Patch4:     vdr-vcd-0.9_devicetrickspeed.patch

BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This plugin adds the functionality to replay VideoCDs (and Super VideoCDs)
from within VDR (by Klaus Schmidinger).

%prep
%setup -q -n %plugin-%version
%autopatch -p1
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# use DEV as the CD-ROM device
# default: /dev/cdrom
var=VCD_DEVICE
param=--vcd=VCD_DEVICE
%vdr_plugin_params_end

%build


%install
mkdir -p %buildroot%_libdir/vdr
%vdr_plugin_build LIBDIR=%buildroot%_libdir/vdr
%vdr_plugin_install

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%{_bindir}/gpasswd -a vdr cdwriter >/dev/null

%files -f %plugin.vdr
%doc README COPYING HISTORY


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.9-23.mga10
+ Revision: 2218107
- Mageia 10 Mass Rebuild

* Thu Mar 23 2023 philippedidier <philippedidier> 0.9-22.mga9
+ Revision: 1950162
- add debian patches to build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for vdr 2.4.6

* Fri Feb 14 2020 umeabot <umeabot> 0.9-19.mga8
+ Revision: 1517779
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.9-18.mga7
+ Revision: 1301600
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.9-17.mga6
+ Revision: 951660
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.9-16.mga5
+ Revision: 808507
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.9-15.mga5
+ Revision: 798690
- rebuild for new VDR
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.9-12.mga4
+ Revision: 544774
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.9-11.mga4
+ Revision: 500245
- rebuild for new VDR

* Mon Jan 14 2013 umeabot <umeabot> 0.9-10.mga3
+ Revision: 385362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.9-9.mga3
+ Revision: 326245
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.9-8.mga2
+ Revision: 221061
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.9-7.mga2
+ Revision: 214891
- rebuild for VDR 1.7.23
- fix build with VDR 1.7.3+ (1.7.3.dpatch, from e-tobi)

* Sat May 14 2011 anssi <anssi> 0.9-6.mga1
+ Revision: 98625
- fix license tag
- drop old scriptlets
- imported package vdr-plugin-vcd


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.9-5mdv2010.0
+ Revision: 401088
- rebuild for new VDR

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.9-4mdv2009.1
+ Revision: 359380
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.9-3mdv2009.0
+ Revision: 197994
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.9-2mdv2009.0
+ Revision: 197738
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- update URL

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 0.9-1mdv2008.1
+ Revision: 176880
- new version
- drop patches, fixed upstream

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.7-15mdv2008.1
+ Revision: 145241
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.7-14mdv2008.1
+ Revision: 103230
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.7-13mdv2008.0
+ Revision: 50061
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.7-12mdv2008.0
+ Revision: 42144
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.7-11mdv2008.0
+ Revision: 22720
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.7-10mdv2007.0
+ Revision: 90982
- rebuild for new vdr
- add vdr user to cdwriter group

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.7-9mdv2007.1
+ Revision: 74096
- rebuild for new vdr
- Import vdr-plugin-vcd

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.7-8mdv2007.0
- rebuild for new vdr

* Fri Sep 01 2006 Anssi Hannula <anssi@mandriva.org> 0.7-7mdv2007.0
- add vdr to cdrom group

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.7-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.7-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.7-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.7-3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.7-2mdv2007.0
- rebuild for new vdr

* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 0.7-1mdv2007.0
- initial Mandriva release

